# $Revision: 1.16 $, $Date: 2009/10/19 20:32:08 $
Summary:	Bigelow & Holmes Luxi fonts in Type1 format
Summary(pl.UTF-8):	Fonty Bigelow & Holmes Luxi w formacie Type1
Name:		xorg-font-font-bh-type1
Version:	1.0.1
Release:	2
License:	distributable if unmodified
Group:		Fonts
Source0:	http://xorg.freedesktop.org/releases/individual/font/font-bh-type1-%{version}.tar.bz2
# Source0-md5:	374d954c61363206c93d1ce7e9445c31
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	fontconfig
BuildRequires:	t1utils
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.1
BuildRequires:	xorg-util-util-macros >= 1.3
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Type1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bigelow & Holmes Luxi fonts in Type1 format.

%description -l pl.UTF-8
Fonty Bigelow & Holmes Luxi w formacie Type1.

%prep
%setup -q -n font-bh-type1-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--build=%{_host} \
	--host=%{_host} \
	--with-fontdir=%{_fontsdir}/Type1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# separate *.afm, convert *.pfa to .pfb
cd $RPM_BUILD_ROOT%{_fontsdir}/Type1
install -d afm
mv -f *.afm afm
for f in *.pfa ; do
	t1binary $f `basename $f .pfa`.pfb
	rm -f $f
done
sed -e '1d;s/\.pfa /.pfb /' fonts.scale > fonts.scale.bh
rm -f fonts.scale fonts.dir fonts.cache-1

cat > Fontmap.bh <<EOF
/LuxiMono                                (l047013t.pfb) ;
/LuxiMono-Bold                           (l047016t.pfb) ;
/LuxiMono-Oblique                        (l047033t.pfb) ;
/LuxiMono-BoldOblique                    (l047036t.pfb) ;
/LuxiSans                                (l048013t.pfb) ;
/LuxiSans-Bold                           (l048016t.pfb) ;
/LuxiSans-Oblique                        (l048033t.pfb) ;
/LuxiSans-BoldOblique                    (l048036t.pfb) ;
/LuxiSerif                               (l049013t.pfb) ;
/LuxiSerif-Bold                          (l049016t.pfb) ;
/LuxiSerif-Oblique                       (l049033t.pfb) ;
/LuxiSerif-BoldOblique                   (l049036t.pfb) ;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_fontsdir}/Type1/*.pfb
%{_fontsdir}/Type1/afm/*.afm
%{_fontsdir}/Type1/fonts.scale.bh
%{_fontsdir}/Type1/Fontmap.bh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-font-font-bh-type1.spec,v $
Revision 1.16  2009/10/19 20:32:08  qboosh
- fixed License information: distributable, but may not be modified (see COPYING)
- release 2

Revision 1.15  2009/10/17 22:02:37  qboosh
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

Revision 1.14  2009/10/12 18:59:38  arekm
- up to 1.0.1

Revision 1.13  2007/10/21 14:18:49  megabajt
- BA: noarch
- release 2

Revision 1.12  2007/04/01 19:09:30  qboosh
- create .Fontmap file (replacing outdated Lucidux* entries from X11-fonts .Fontmap)

Revision 1.11  2007/04/01 18:33:34  qboosh
- informative descs
- release 1

Revision 1.10  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.8  2006/01/03 14:36:36  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.7  2005/12/05 12:35:33  qboosh
- restoted rev 1.5 changelog entry

Revision 1.6  2005/12/05 12:33:18  qboosh
- generate fonts.scale fragments properly

Revision 1.5  2005/12/05 12:26:56  qboosh
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

Revision 1.4  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.3  2005/08/27 18:42:17  qboosh
- cleanups, better Group; TODO: use PLD fonts infrastructure

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Tue Aug  9 2005 13:30:29  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
